XmVaCreateDropDown(3)

NAME
XmVaCreateDropDown, XmVaCreateManagedDropDown — A DropDown widget convenience creation functions.

SYNOPSIS

#include <Xm/DropDown.h>

Widget XmVaCreateDropDown(
Widget parent,
String name,
...);

Widget XmVaCreateManagedDropDown(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a DropDown widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateDropDown function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedDropDown function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of DropDown and its associated resources, see XmDropDown(3).

RETURN

Returns the DropDown widget ID.

RELATED

XmDropDown(3), XmCreateDropDown(3), XtCreateWidget(3), and XtCreateManagedWidget(3).